Bug 60776 - loading qla2x00 module (v4.31.7b) hard-crashes Lion system
loading qla2x00 module (v4.31.7b) hard-crashes Lion system
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-06 10:34 EST by Martin Wilck
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 16:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vv output (23.08 KB, text/plain)
2002-03-06 10:38 EST, Martin Wilck
no flags Details

  None (edit)
Description Martin Wilck 2002-03-06 10:34:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.4.9-21 i686)

Description of problem:
System: Lion, 4 CPUs, 16GB RAM. Qlogic QLA2200 Fibre Channel adapter.
Loading the qla2x00 driver packed with the RedHat 7.2 kernel package
(driver version 4.31.7b) hard-crashes the system, at install time 
(uniprocessor kernel) or on an installed system (SMP kernel).

I will attach the output of lspci -v -v.

Version-Release number of selected component (if applicable): 2.4.9-18 (kernel), 
4.31.7b (qla2x00)

How reproducible:

Steps to Reproduce:
1. Install Redhat 7.2 with QLA2200 adapter active
1. Install RedHat with QLA2200 inactive
2. Power down and activate QLA2200
3. kudzu "ignore", "modprobe qla2x00" after reboot.

Actual Results:  System crashes.

Expected Results:  Adapter and attached disk are detected.

Additional info:

This problem does not occur with several other versions of the qla2x00 driver.
(these were compiled separately against RedHat 2.4.9-18smp  headers):

In detail: 
4.27beta - works
4.31.7b - hard crash
4.31.8 - works
4.46.5 (EMC certified) - loads, does not find attached disk
4.46.12 - works
5.36.3 - compile errors, no further testing done.

"works" means the module loads successfully, the disk is detected, and "e2fsck
-f" runs
successfully. Stress tests have yet to be done.

Unfortunately Qlogic has a large variety of driver versions available in the
net, and their versioning is absolutely obscure. Our experience shows that
the 4.27beta driver is stable in most setups.
Comment 1 Martin Wilck 2002-03-06 10:38:14 EST
Created attachment 47600 [details]
lspci -vv output
Comment 2 Arjan van de Ven 2002-03-06 10:41:09 EST
There's a reason we ship qla2200.o (5.31 based driver) and use that as default.
The 4.x drivers have some serious bugs (some are fixed in our kernel, others are
beyond hope)...... how EMC could certify them for ia64 use is a mistory and
doesn't give me great hope for the relevance of this certification.
Comment 3 Martin Wilck 2002-03-08 04:18:32 EST
Oops, I wasn't even aware of that - sorry about that. qla2200.o does the trick.

However, perhaps you should fix your "loader" settings such
that if a qla2200 is loaded it insmod's qla2200.o/qla2300.o rather than
Otherwise our machines hard lock on installation.

Moreover, 4.27beta or 4.31.8 would obviously be a better choice than 4.31.7b as
shipped with
your kernel package, at least for our hardware.

Half a year ago I did extensive stress tests with RH7.1-ia64 and 7.1beta98-IA64
with the 4.27beta
driver, and never had any trouble with it.

Somebody should walk up to Qlogic and tell them their versioning policy is

Note You need to log in before you can comment on or make changes to this bug.